SystemOrganization addCategory: #'Pier-Google'!

PRWidget subclass: #PRGoogleAnalyticsWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Google'!

!PRGoogleAnalyticsWidget class methodsFor: 'accessing-description' stamp: 'lr 11/14/2007 19:49'!
descriptionGoogleUACCT
	^ MAStringDescription new
		comment: 'The string Google Analytics provided you with (e.g. UA-XXXXXXX-Y)';
		selectorAccessor: #uacct;
		label: 'uacct';
		priority: 200;
		beSetting;
		yourself! !

!PRGoogleAnalyticsWidget class methodsFor: 'testing' stamp: 'lr 11/14/2007 19:49'!
isAbstract
	^ false! !

!PRGoogleAnalyticsWidget class methodsFor: 'accessing-description' stamp: 'tg 11/14/2007 13:01'!
label
	^ 'Google Analytics'! !

!PRGoogleAnalyticsWidget methodsFor: 'rendering' stamp: 'tg 12/20/2007 13:46'!
renderContentOn: html
	self uacct isEmptyOrNil ifTrue: [ ^ self ].
	html script: 'var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src=''" + gaJsHost + "google-analytics.com/ga.js'' type=''text/javascript''%3E%3C/script%3E"));'.
	html script: 'var pageTracker = _gat._getTracker(', self uacct printString, ');
pageTracker._initData();
pageTracker._trackPageview();'! !

!PRGoogleAnalyticsWidget methodsFor: 'accessing' stamp: 'tg 11/14/2007 13:12'!
uacct
	^ self read: #descriptionGoogleUACCT! !
